Bug 569824 - (Alert Page )Email Configuration option does not reject Invalid email format
(Alert Page )Email Configuration option does not reject Invalid email format
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Alerts (Show other bugs)
3.0.0
All Linux
low Severity medium (vote)
: ---
: ---
Assigned To: John Mazzitelli
Mike Foley
:
Depends On:
Blocks: rhq4
  Show dependency treegraph
 
Reported: 2010-03-02 09:26 EST by spandey
Modified: 2015-04-23 19:55 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-02 03:21:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description spandey 2010-03-02 09:26:59 EST
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Repro : 

1)Login to RHQ host with valid credentials
2)Create Alert for Added Resource
3)Add Email from Alert Notification Option 
4)At Receiver Email Address(es) field enter following Line and Press SAVE Button
*&*^*%()******

Expected Result : At step 4 Friendly Message should display Invalid email format 
			invalid format should not be saved.

Actual Result : At step 4 “*&*^*%()******”value has been saved no error message displays.
Comment 1 spandey 2010-03-02 09:43:19 EST
Revision: 6278e7056403b2dcd0ffde84a7109e60790022eb
Comment 3 John Mazzitelli 2011-02-17 12:26:45 EST
see if we can put in a regex to the config property within the server plugin's descriptor
Comment 4 John Mazzitelli 2011-02-18 14:32:02 EST
commit ba92016

to do "real" email address validation would require a huge regex (if its possible at all - see http://www.dominicsayers.com/isemail/ to see the complexities involved). Note this doesn't even take into account the differences between gwt/javascript regex and java regex that we are dealing with.

I added a simple regex validation to catch many invalid inputs. That is not to say it will capture all invalid email addresses, but it catches many now.
Comment 5 Mike Foley 2011-06-09 14:52:26 EDT
verified
Comment 6 Heiko W. Rupp 2013-09-02 03:21:27 EDT
Bulk closing of issues that were VERIFIED, had no target release and where the status changed more than a year ago.

Note You need to log in before you can comment on or make changes to this bug.